---
title: "指定目录变体查询定价规则"
description: "指定公司地点目录的变体，查询定价规则。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/catalog/specify-variant-for-pricing-rules'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/catalog/specify-variant-for-pricing-rules.md'
---
# 指定目录变体查询定价规则

指定公司地点目录的变体，查询定价规则。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /company_location_catalog/:catalog_id/:variant_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `catalog_id`

  string (required)

  目录id

* `variant_id`

  string (required)

  目录中变体的id

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `price`

  string

  商品固定价格

* `price_adjustment_method`

  integer

  价格调整的类型，值为`1`表示按百分比调整，值为`2`表示固定价格（默认）。

* `quantity_price_breaks`

  array<object>

  梯度价格列表

  * `price`

    string

    固定价格，仅当`price_adjustment_method=2`时有值

  * `minimum_qty`

    integer

    梯度最小购买数量

  * `percent`

    integer

    按`percent_type`进行调整的数值，格式为百分比
    - 调低价格时，值限制为0～100
    - 调高价格时，值限制为0～10000

  * `percent_type`

    integer

    按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格

* `quantity_rules`

  object

  购买数量的规则

  * `increment`

    integer

    购买数量增量，每次增加的数量必须是增量的倍数

  * `maximum`

    integer

    最大值

  * `minimum`

    integer

    最小值

* `variant_id`

  string

  目录中变体的id

* `percent`

  integer

  按`percent_type`进行调整的数值，格式为百分比
  - 调低价格时，值限制为0～100
  - 调高价格时，值限制为0～10000

* `percent_type`

  integer

  按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "指定公司地点目录的变体，查询定价规则。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "LCnBK94M",
  "parameters": [
    {
      "name": "catalog_id",
      "in": "path",
      "description": "目录id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "catalog_id",
        "description": "目录id",
        "type": "string",
        "example": "6598087148213149672"
      },
      "example": "6598087148213149672"
    },
    {
      "name": "variant_id",
      "in": "path",
      "description": "目录中变体的id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "variant_id",
        "description": "目录中变体的id",
        "type": "string",
        "example": "18064649853096752677070520"
      },
      "example": "18064649853096752677070520"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "price": {
                "name": "price",
                "description": "商品固定价格",
                "type": "string",
                "example": "100"
              },
              "price_adjustment_method": {
                "name": "price_adjustment_method",
                "description": "价格调整的类型，值为`1`表示按百分比调整，值为`2`表示固定价格（默认）。",
                "type": "integer",
                "example": 1
              },
              "quantity_price_breaks": {
                "name": "quantity_price_breaks",
                "description": "梯度价格列表",
                "type": "array",
                "items": {
                  "name": "quantity_price_breaks",
                  "description": "梯度价格列表",
                  "type": "object",
                  "properties": {
                    "price": {
                      "name": "price",
                      "description": "固定价格，仅当`price_adjustment_method=2`时有值",
                      "type": "string",
                      "example": "100"
                    },
                    "minimum_qty": {
                      "name": "minimum_qty",
                      "description": "梯度最小购买数量",
                      "type": "integer",
                      "example": 2
                    },
                    "percent": {
                      "name": "percent",
                      "description": "按`percent_type`进行调整的数值，格式为百分比\n- 调低价格时，值限制为0～100\n- 调高价格时，值限制为0～10000",
                      "type": "integer",
                      "example": 50
                    },
                    "percent_type": {
                      "name": "percent_type",
                      "description": "按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格",
                      "type": "integer",
                      "example": 1
                    }
                  },
                  "example": {
                    "price": "100",
                    "minimum_qty": 2,
                    "percent": 50,
                    "percent_type": 1
                  }
                },
                "example": [
                  {
                    "percent": 50,
                    "percent_type": 1,
                    "price": "100",
                    "minimum_qty": 2
                  }
                ]
              },
              "quantity_rules": {
                "name": "quantity_rules",
                "description": "购买数量的规则",
                "type": "object",
                "properties": {
                  "increment": {
                    "name": "increment",
                    "description": "购买数量增量，每次增加的数量必须是增量的倍数",
                    "type": "integer",
                    "example": 2
                  },
                  "maximum": {
                    "name": "maximum",
                    "description": "最大值",
                    "type": "integer",
                    "example": 8
                  },
                  "minimum": {
                    "name": "minimum",
                    "description": "最小值",
                    "type": "integer",
                    "example": 2
                  }
                },
                "example": {
                  "increment": 2,
                  "maximum": 8,
                  "minimum": 2
                }
              },
              "variant_id": {
                "name": "variant_id",
                "description": "目录中变体的id",
                "type": "string",
                "example": "18064649853096752677070520"
              },
              "percent": {
                "name": "percent",
                "description": "按`percent_type`进行调整的数值，格式为百分比\n- 调低价格时，值限制为0～100\n- 调高价格时，值限制为0～10000",
                "type": "integer",
                "example": 50
              },
              "percent_type": {
                "name": "percent_type",
                "description": "按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格",
                "type": "integer",
                "example": 1
              }
            },
            "example": {
              "quantity_rules": {
                "increment": 2,
                "maximum": 8,
                "minimum": 2
              },
              "variant_id": "18064649853096752677070520",
              "percent": 50,
              "percent_type": 1,
              "price": "100",
              "price_adjustment_method": 1,
              "quantity_price_breaks": [
                {
                  "minimum_qty": 2,
                  "percent": 50,
                  "percent_type": 1,
                  "price": "100"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/company_location_catalog/:catalog_id/:variant_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "指定目录变体查询定价规则",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```